# File with the gerrit JSON valid keys and other gerrit values.
# For more information about the values defined here, look:
# https://gerrit-review.googlesource.com/Documentation/json.html
# Also, on bug https://bugs.launchpad.net/linaro-patchmetrics/+bug/1013577,
# there is a sample JSON output from Gerrit new REST API.
GERRIT_CREATED_KEY = 'created'
GERRIT_ID_KEY = 'id'
GERRIT_MORE_CHANGES = '_more_changes'
GERRIT_NUMBER_KEY = '_number'
GERRIT_OWNER_KEY = 'owner'
GERRIT_OWNER_NAME_KEY = 'name'
GERRIT_SORT_KEY = '_sortkey'
GERRIT_UPDATED_KEY = 'updated'
GERRIT_STATUS_KEY = 'status'
GERRIT_PROJECT_KEY = 'project'
GERRIT_SUBJECT_KEY = 'subject'

# Gerrit JSON output starts with a magic prefix, making it not valid JSON.
# For more info:
# https://gerrit-review.googlesource.com/Documentation/rest-api.html
GERRIT_SANITIZABLE_VALUE = ")]}'"

# The possible values for the output format of the Gerrit query.
GERRIT_DEFAULT_JSON = 'JSON_COMPACT'
GERRIT_NORMAL_JSON = 'JSON'

# Gerrit query parameters
GERRIT_QUERY_OWNER = 'owner'
GERRIT_QUERY_RESUME_SORTKEY = 'resume_sortkey'
GERRIT_QUERY_LIMIT = 'limit'

# Deprecated keys, or not anymore in the docs.
GERRIT_QUERY_FORMAT = 'format'
GERRIT_QUERY_PG_SIZE = 'n'
