"""Add the <patchwork>/apps and <patchwork>/lib/python directories to
sys.path.

Also sets the DJANGO_SETTINGS_MODULE environment variable to 'settings'.
"""
import os
import sys


# XXX: Suppress a python2.6 warning caused by django-registration importing
# the sha module. Once we've moved away from python2.6 (i.e. once we run on
# Precise), this will no longer be needed.
import warnings
msg = 'the sha module is deprecated'
warnings.filterwarnings('ignore', category=DeprecationWarning, message=msg)

patchwork_bin = os.path.dirname(__file__)
patchwork_base = os.path.abspath(
    os.path.join(patchwork_bin, '..', '..', '..'))
sys.path.insert(0, '%s/lib/python' % patchwork_base)
sys.path.insert(0, '%s/apps' % patchwork_base)
os.environ['DJANGO_SETTINGS_MODULE'] = 'settings'
