#!/usr/bin/python -W ignore::DeprecationWarning
# XXX: We ignore all deprecation warnings because that tricks getmail4 into
# thinking the script failed.

# This is a custom version of parsemail.py which uses a pre-defined project
# for patches that we can't guess the project.  It is very unlikely that this
# would be accepted upstream, so it is done as a separate script which reuses
# the existing one, monkey patching some bits.

import _pythonpath
import sys

from django.conf import settings
from patchwork.bin import parsemail
from patchwork.models import Project

orig_find_project = parsemail.find_project
default_project = settings.PATCHWORK_DEFAULT_PROJECT


def linaro_find_project(mail):
    project = orig_find_project(mail)
    if project is None:
        print "Using default project (%s) for this patch." % default_project
        project = Project.objects.get(linkname=default_project)
    return project


if __name__ == '__main__':
    parsemail.find_project = linaro_find_project
    sys.exit(parsemail.main(sys.argv))
