import os
SECRET_KEY = $GENERATED_SECRET_KEY
ADMINS = [ 'infrastructure@linaro.org' ]
TIME_ZONE = 'UTC'
OPENID_CREATE_USERS = True
OPENID_UPDATE_DETAILS_FROM_SREG = True
OPENID_TRUST_ROOT='http://patches.linaro.org'
LOGIN_URL = '/openid/login/'
LOGIN_REDIRECT_URL = '/patchwork/user'
OPENID_SSO_SERVER_URL = 'https://login.launchpad.net/'
INSTALLED_APPS = (
    'django_openid_auth',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.admin',
    'patchwork',
    'patchmetrics',
    'registration',
)
from openid import oidutil
# Shut up noisy OpenID library
oidutil.log = lambda message, level=0: None

PATCHWORK_DEFAULT_PROJECT = 'other-unknown'
PATCHWORK_FALLBACK_TO_LISTEMAIL = True

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.middleware.doc.XViewMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
)

ROOT_DIR = "$WORKING_DIR"
TEMPLATE_DIRS = ( os.path.join(ROOT_DIR, 'templates') )
MEDIA_ROOT = os.path.join(ROOT_DIR, 'lib','python','django','contrib','admin','media')
LPLIB_CREDENTIALS_FILE='/var/local/patchwork-linaro-lplib.credentials'
LPLIB_DIR='$WORKING_DIR/.launchpadlib'
AUTHENTICATION_BACKENDS = (['django_openid_auth.auth.OpenIDBackend','django.contrib.auth.backends.ModelBackend'])
PATCHWORK_GIT_REPOS_DIR = '/tmp/'
